part of kitcod_uikit_flutter;

class BottomSheetOption extends StatelessWidget {
  const BottomSheetOption({
    required this.heading,
    required this.description,
    required this.icon,
    required this.iconBackgroundColor,
    final Key? key,
  }) : super(key: key);

  // -------------------------------- VARIABLES -------------------------------- //
  final String heading;
  final String description;
  final Icon icon;
  final Color iconBackgroundColor;

// -------------------------------- BUILD FUNCTION -------------------------------- //
  @override
  Container build(final context) => Container(
        padding: const EdgeInsets.all(8),
        alignment: Alignment.center,
        child: Row(
          children: [
            SizedBox(
              child: Ink(
                width: 35,
                height: 35,
                decoration: ShapeDecoration(
                  color: iconBackgroundColor,
                  shape: const CircleBorder(),
                ),
                child: icon,
              ),
            ),
            Column(
              mainAxisAlignment: MainAxisAlignment.center,
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Padding(
                    padding: const EdgeInsets.only(left: 8),
                    child: Text(heading,
                        style: const TextStyle(
                            color: Colors.black, fontSize: 15))),
                Padding(
                    padding: const EdgeInsets.only(left: 8),
                    child: Text(description,
                        style: const TextStyle(color: Colors.grey))),
              ],
            ),
          ],
        ),
      );
}
