part of kitcod_uikit_flutter;

class ProfileBottomSheet extends StatelessWidget {
  const ProfileBottomSheet({
    required this.optionsHeading,
    required this.profileImageUrl,
    required this.name,
    required this.userName,
    required this.groupTags,
    this.postedToString,
    this.groupsArray,
    final Key? key,
  }) : super(key: key);

  // -------------------------------- VARIABLES -------------------------------- //
  final List<String> groupTags;
  final List<FeedGroup>? groupsArray;
  final Text optionsHeading;
  final String name;
  final String userName;
  final String profileImageUrl;
  final String? postedToString;

// -------------------------------- BUILD FUNCTION -------------------------------- //
  @override
  TextButton build(final BuildContext context) => TextButton(
        onPressed: () => showModalBottomSheet(
            isScrollControlled: true,
            shape: const RoundedRectangleBorder(
                borderRadius: BorderRadius.vertical(
              top: Radius.circular(20),
            )),
            context: context,
            builder: (final context) => Container(
                padding: const EdgeInsets.all(8),
                child: Wrap(
                  children: [
                    Container(
                      alignment: Alignment.center,
                      child: SizedBox(
                        width: MediaQuery.of(context).size.width * 0.15,
                        height: 3,
                        child: DecoratedBox(
                          decoration:
                              BoxDecoration(color: Colors.indigo.shade100),
                        ),
                      ),
                    ),
                    Padding(
                        padding: const EdgeInsets.all(15),
                        child: optionsHeading),
                    for (FeedGroup groupItem in groupsArray!)
                      GroupDetails(
                        groupImageUrl: groupItem.groupImageUrl,
                        groupTitle: groupItem.groupTitle,
                        members: groupItem.members,
                      )
                  ],
                ))),
        child: SizedBox(
          height: MediaQuery.of(context).size.height * 0.11,
          width: MediaQuery.of(context).size.width,
          child: Padding(
            padding: const EdgeInsets.all(8),
            child: ProfileDetails(
                name: name,
                userName: userName,
                profileImageUrl: profileImageUrl,
                groupTags: groupTags,
                postedTo: postedToString),
          ),
        ),
      );
}
