part of kitcod_uikit_flutter;

class CommentWidget extends StatelessWidget {
  const CommentWidget({
    required this.comment,
    required this.buildContext,
    final Key? key,
  }) : super(key: key);

  // -------------------------------- VARIABLES -------------------------------- //
  final Comment comment;
  final BuildContext buildContext;

  // -------------------------------- UI FUNCTION -------------------------------- //
  Column commentCard(final Comment comment, final BuildContext buildContext) =>
      Column(
        children: [
          Padding(
            padding: const EdgeInsets.only(bottom: 10),
            child: SizedBox(
              width: MediaQuery.of(buildContext).size.width,
              height: 3,
              child: DecoratedBox(
                decoration: BoxDecoration(color: Colors.indigo.shade50),
              ),
            ),
          ),
          ProfileDetails(
              name: comment.name,
              userName: comment.username,
              profileImageUrl: comment.profileImageUrl,
              groupTags: comment.groupTags),
          Padding(
            padding: const EdgeInsets.only(left: 50, right: 10),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Text(comment.postedTime,
                    style: const TextStyle(
                      fontSize: 15,
                      color: Colors.grey,
                    )),
                Padding(
                  padding: const EdgeInsets.only(top: 10, bottom: 10),
                  child: Text(comment.comment,
                      style:
                          const TextStyle(fontSize: 15, color: Colors.black)),
                ),
                ShareStatsIcons(
                    likes: comment.likes,
                    comments: comment.comments,
                    shares: comment.shares)
              ],
            ),
          ),
          const SizedBox(height: 10),
        ],
      );

// -------------------------------- BUILD FUNCTION -------------------------------- //
  @override
  Widget build(final context) => SizedBox(
        child: commentCard(comment, context),
      );
}
