part of kitcod_uikit_flutter;

class FeedPostDetails extends StatelessWidget {
  const FeedPostDetails({
    required this.headerView,
    required this.feedPost,
    final Key? key,
  }) : super(key: key);
  // -------------------------------- VARIABLES -------------------------------- //

  final HeaderView headerView;
  final FeedPost feedPost;

  // -------------------------------- BUILD FUNCTION -------------------------------- //
  @override
  Widget build(final context) => Scaffold(
        appBar: headerView,
        body: SingleChildScrollView(
          child: Padding(
            padding: const EdgeInsets.all(10),
            child: Column(
              children: [
                groupTagFollow(feedPost, context),
                FeedPostCard(
                  feedPost: feedPost,
                  buildContext: context,
                ),
                for (var comment in feedPost.commentsList)
                  CommentWidget(
                    comment: comment,
                    buildContext: context,
                  ),
                const TextBar(hintText: "Write your comment"),
              ],
            ),
          ),
        ),
      );

  // -------------------------------- UI FUNCTION -------------------------------- //
  Widget groupTagFollow(final FeedPost feedPost, final BuildContext context) =>
      Column(
        children: [
          Padding(
            padding: const EdgeInsets.only(bottom: 10),
            child: SizedBox(
              width: MediaQuery.of(context).size.width,
              height: 3,
              child: DecoratedBox(
                decoration: BoxDecoration(color: Colors.indigo.shade50),
              ),
            ),
          ),
          Padding(
            padding: const EdgeInsets.only(bottom: 10),
            child: Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: [
                Padding(
                  padding: const EdgeInsets.all(10),
                  child: Text(
                    feedPost.groupTags[0],
                    style: const TextStyle(fontWeight: FontWeight.bold),
                  ),
                ),
                TextButton(
                  onPressed: () {},
                  child: Container(
                    decoration: BoxDecoration(
                        border: Border.all(
                          color: Colors.grey,
                        ),
                        borderRadius:
                            const BorderRadius.all(Radius.circular(20))),
                    margin: const EdgeInsets.symmetric(horizontal: 10),
                    height: 35,
                    width: 73,
                    alignment: Alignment.center,
                    child: Row(
                      children: const [
                        Icon(
                          Icons.add,
                          color: Colors.black,
                        ),
                        Text("Follow",
                            textAlign: TextAlign.center,
                            style: TextStyle(color: Colors.black)),
                      ],
                    ),
                  ),
                )
              ],
            ),
          ),
        ],
      );
}
