part of kitcod_uikit_flutter;

class FeedPostsList extends StatelessWidget {
  const FeedPostsList({
    required this.feedPostsArray,
    final Key? key,
  }) : super(key: key);

  // -------------------------------- VARIABLES -------------------------------- //
  final List<FeedPost> feedPostsArray;

  // -------------------------------- BUILD FUNCTION -------------------------------- //
  @override
  Widget build(final BuildContext context) => SingleChildScrollView(
        child: Padding(
          padding: const EdgeInsets.only(left: 10, right: 10),
          child: Column(
            children: [
              for (var feedPost in feedPostsArray)
                feedPostCard(feedPost, context),
            ],
          ),
        ),
      );

  // -------------------------------- UI FUNCTION -------------------------------- //

  TextButton feedPostCard(
          final FeedPost feedPost, final BuildContext context) =>
      TextButton(
        onPressed: () {
          Navigator.push(
              context,
              MaterialPageRoute(
                builder: (final context) => FeedPostDetails(
                  feedPost: feedPost,
                  headerView: HeaderView(
                    backgroundColor: Colors.white.withOpacity(0.1),
                    leftSideIcon: IconButton(
                      onPressed: () {
                        Navigator.pop(context);
                      },
                      icon: const Icon(
                        Icons.arrow_back_outlined,
                        color: Colors.black,
                      ),
                    ),
                    headerAlignment: Alignment.centerLeft,
                  ),
                ),
              ));
        },
        child: FeedPostCard(feedPost: feedPost, buildContext: context),
      );
}
