part of kitcod_uikit_flutter;

class GroupCards extends StatelessWidget {
  const GroupCards({
    required this.groupImageUrl,
    required this.groupTitle,
    required this.members,
    required this.membersListUrl,
    required this.groupStatus,
    required this.groupAbout,
    required this.groupPosts,
    required this.isJoined,
    final Key? key,
  }) : super(key: key);

  // -------------------------------- VARIABLES -------------------------------- //
  final String groupImageUrl;
  final String groupTitle;
  final String members;
  final List<String> membersListUrl;
  final String groupStatus;
  final String groupAbout;
  final List<FeedPost> groupPosts;
  final bool isJoined;

// -------------------------------- BUILD FUNCTION -------------------------------- //
  @override
  TextButton build(final context) => TextButton(
      onPressed: () {
        Navigator.push(
          context,
          MaterialPageRoute(
              builder: (final context) => GroupPage(
                    groupImageUrl: groupImageUrl,
                    groupTitle: groupTitle,
                    members: members,
                    membersListUrl: membersListUrl,
                    groupAbout: groupAbout,
                    groupPosts: groupPosts,
                    groupStatus: groupStatus,
                    isJoined: isJoined,
                  )),
        );
      },
      child: Container(
        width: MediaQuery.of(context).size.width,
        decoration: BoxDecoration(
            border: Border.all(
              color: Colors.indigo.shade100,
            ),
            borderRadius: const BorderRadius.all(Radius.circular(20))),
        child: Column(
          children: [
            Column(
              children: [
                ClipRRect(
                  borderRadius: const BorderRadius.only(
                      topLeft: Radius.circular(20),
                      topRight: Radius.circular(20)),
                  child: SizedBox.fromSize(
                    child: Image.network(
                      groupImageUrl,
                      width: MediaQuery.of(context).size.width,
                      height: MediaQuery.of(context).size.height * 0.15,
                      fit: BoxFit.cover,
                    ),
                  ),
                ),
                Column(
                  mainAxisAlignment: MainAxisAlignment.center,
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    Padding(
                      padding: const EdgeInsets.only(top: 15, left: 20),
                      child: Text(groupTitle,
                          style: const TextStyle(
                              fontSize: 17,
                              fontWeight: FontWeight.bold,
                              color: Colors.black)),
                    ),
                    Container(
                      padding:
                          const EdgeInsets.only(top: 10, bottom: 10, left: 20),
                      width: MediaQuery.of(context).size.width * 0.8,
                      child: Row(
                        children: [
                          Text(members,
                              style: const TextStyle(color: Colors.grey)),
                          Padding(
                            padding: const EdgeInsets.all(5),
                            child: CircleAvatar(
                              radius: 15,
                              backgroundImage: NetworkImage(membersListUrl[0]),
                              backgroundColor: Colors.transparent,
                            ),
                          ),
                          Padding(
                            padding: const EdgeInsets.all(5),
                            child: CircleAvatar(
                              radius: 15,
                              backgroundImage: NetworkImage(membersListUrl[1]),
                              backgroundColor: Colors.transparent,
                            ),
                          ),
                          Padding(
                            padding: const EdgeInsets.all(5),
                            child: CircleAvatar(
                              radius: 15,
                              backgroundImage: NetworkImage(membersListUrl[2]),
                              backgroundColor: Colors.transparent,
                            ),
                          ),
                        ],
                      ),
                    ),
                    Padding(
                      padding: const EdgeInsets.only(
                          bottom: 20, left: 20, right: 20),
                      child: Button(
                          name: "Join",
                          onPressed: () {},
                          backgroundColor: Colors.indigoAccent,
                          textStyle: const TextStyle(color: Colors.white),
                          width: MediaQuery.of(context).size.width,
                          height: MediaQuery.of(context).size.height * 0.05),
                    ),
                  ],
                ),
              ],
            ),
          ],
        ),
      ));
}
