part of kitcod_uikit_flutter;

class GroupsList extends StatelessWidget {
  const GroupsList({
    required this.feedGroupsArray,
    final Key? key,
  }) : super(key: key);

  // -------------------------------- VARIABLES -------------------------------- //
  final List<FeedGroup> feedGroupsArray;

  // ignore: avoid_field_initializers_in_const_classes
  final addGroup = const FeedGroup(
      groupImageUrl: "https://picsum.photos/190",
      groupTitle: "Create new",
      members: "12k members",
      membersImageUrls: []);

  // -------------------------------- BUILD FUNCTION -------------------------------- //
  @override
  Widget build(final BuildContext context) => SingleChildScrollView(
        scrollDirection: Axis.horizontal,
        child: Row(
          children: [
            groupStory(addGroup),
            for (var feedGroup in feedGroupsArray) groupStory(feedGroup),
          ],
        ),
      );

  // -------------------------------- UI FUNCTION -------------------------------- //
  Row groupStory(final FeedGroup feedGroup) => Row(
        children: [
          Padding(
            padding: const EdgeInsets.all(10),
            child: Column(
              children: [
                ClipRRect(
                  borderRadius: BorderRadius.circular(5), // Image border
                  child: SizedBox.fromSize(
                    child: Image.network(
                      feedGroup.groupImageUrl,
                      fit: BoxFit.cover,
                      width: 70,
                      height: 50,
                    ),
                  ),
                ),
                const SizedBox(height: 10),
                SizedBox(
                  width: 70,
                  child: Text(
                    feedGroup.groupTitle,
                    overflow: TextOverflow.ellipsis,
                  ),
                ),
              ],
            ),
          ),
        ],
      );
}
