part of kitcod_uikit_flutter;

class PollsView extends StatefulWidget {
  const PollsView(
      {required this.pollTitle,
      required this.usersWhoVoted,
      required this.pollOptions,
      required this.creator,
      required this.currentUser,
      final Key? key})
      : super(key: key);

  // -------------------------------- VARIABLES -------------------------------- //
  final String pollTitle;
  final Map<String, int> usersWhoVoted;
  final Map<String, int> pollOptions;
  final String creator;
  final String currentUser;

  @override
  _PollsViewState createState() => _PollsViewState();
}

class _PollsViewState extends State<PollsView> {
  double option1 = 1;
  double option2 = 2;
  double option3 = 3;

  String user = "user@gmail.com";
  Map<String, int> usersWhoVoted = {
    "test@gmail.com": 1,
    "deny@gmail.com": 3,
    "kent@gmail.com": 2,
    "xyz@gmail.com": 3
  };
  String creator = "admin@gmail.com";
  bool pollSelected = false;
  int totalVotes = 0;

  // -------------------------------- BUILD FUNCTION -------------------------------- //
  @override
  SizedBox build(final BuildContext context) => SizedBox(
        child: Padding(
          padding: const EdgeInsets.all(8),
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Polls(
                children: [
                  Polls.options(title: "Making more money", value: option1),
                  Polls.options(
                      title: "Bussiness interactions increasing",
                      value: option2),
                  Polls.options(
                      title: "Showcasing brand value", value: option3),
                ],
                question: Text(
                  widget.pollTitle,
                  style: const TextStyle(
                      fontSize: 17,
                      fontWeight: FontWeight.bold,
                      color: Colors.black),
                ),
                currentUser: user,
                creatorID: creator,
                voteData: usersWhoVoted,
                userChoice: usersWhoVoted[user],
                onVoteBackgroundColor: Colors.cyan,
                leadingBackgroundColor: Colors.red,
                backgroundColor: Colors.white,
                onVote: (final choice) {
                  setState(() {
                    usersWhoVoted[user] = choice;
                    pollSelected = true;
                    totalVotes += usersWhoVoted.length + 1;
                  });
                  if (choice == 1) {
                    setState(() {
                      option1 += 1.0;
                    });
                  }
                  if (choice == 2) {
                    setState(() {
                      option2 += 1.0;
                    });
                  }
                  if (choice == 3) {
                    setState(() {
                      option3 += 1.0;
                    });
                  }
                },
              ),
              if (pollSelected)
                Padding(
                  padding: const EdgeInsets.all(5),
                  child: Row(
                    mainAxisAlignment: MainAxisAlignment.spaceBetween,
                    children: [
                      Text("$totalVotes votes",
                          style: const TextStyle(
                              fontWeight: FontWeight.bold,
                              color: Colors.indigo)),
                      const Text("View Stats",
                          textAlign: TextAlign.right,
                          style: TextStyle(
                              fontWeight: FontWeight.bold,
                              color: Colors.indigo)),
                    ],
                  ),
                ),
            ],
          ),
        ),
      );
}
