part of kitcod_uikit_flutter;

class ShareStatsIcons extends StatelessWidget {
  const ShareStatsIcons({
    required this.likes,
    required this.comments,
    required this.shares,
    final Key? key,
  }) : super(key: key);
  // -------------------------------- VARIABLES -------------------------------- //

  final num likes;
  final num comments;
  final num shares;

  // -------------------------------- BUILD FUNCTION -------------------------------- //

  Future<void> share() async {
    await FlutterShare.share(
        title: "Example share",
        text: "Example share text",
        linkUrl: "https://flutter.dev/",
        chooserTitle: "Example Chooser Title");
  }

  @override
  Padding build(final context) => Padding(
        padding: const EdgeInsets.only(top: 10, right: 20),
        child: Row(
          mainAxisAlignment: MainAxisAlignment.spaceEvenly,
          children: [
            statsIcon(const Icon(Icons.heart_broken_sharp, color: Colors.black),
                likes),
            statsIcon(
                const Icon(Icons.mode_comment_outlined, color: Colors.black),
                comments),
            statsIcon(const Icon(Icons.share, color: Colors.black), shares),
          ],
        ),
      );

  // -------------------------------- UI FUNCTION -------------------------------- //

  TextButton statsIcon(final Icon icon, final num statNumber) => TextButton(
      onPressed: share,
      child: Row(
        children: [
          icon,
          Padding(
            padding: const EdgeInsets.only(left: 8),
            child: Text(statNumber.toString(),
                style: const TextStyle(color: Colors.black)),
          )
        ],
      ));
}
