part of kitcod_uikit_flutter;

class TextBarButton extends StatelessWidget {
  const TextBarButton({
    required this.name,
    required this.userName,
    required this.profileImageUrl,
    required this.groupTags,
    required this.groupList,
    required this.hintText,
    final Key? key,
  }) : super(key: key);
  // -------------------------------- VARIABLES -------------------------------- //

  final String hintText;
  final String name;
  final String userName;
  final String profileImageUrl;
  final List<String> groupTags;
  final List<FeedGroup> groupList;
  // -------------------------------- BUILD FUNCTION -------------------------------- //

  @override
  TextButton build(final BuildContext context) => TextButton(
        onPressed: () {
          Navigator.push(
            context,
            MaterialPageRoute(
              builder: (final context) => CreatePost(
                headerView: HeaderView(
                  backgroundColor: Colors.white.withOpacity(0.1),
                  leftSideIcon: IconButton(
                    onPressed: () {
                      Navigator.pop(context);
                    },
                    icon: const Icon(
                      Icons.arrow_back_outlined,
                      color: Colors.black,
                    ),
                  ),
                  header: const Text(
                    "Create New",
                    style: TextStyle(color: Colors.black),
                  ),
                  headerAlignment: Alignment.centerLeft,
                ),
                name: name,
                userName: userName,
                porfileImageUrl: profileImageUrl,
                groupTags: groupTags,
                groupsList: groupList,
                postType: const [PostType.poll, PostType.announcement],
                moreOptions: const [
                  MoreOptions.button,
                  MoreOptions.image,
                  MoreOptions.audio
                ],
              ),
            ),
          );
        },
        child: Padding(
          padding: const EdgeInsets.all(10),
          child: Container(
            alignment: Alignment.centerLeft,
            height: MediaQuery.of(context).size.height * 0.06,
            width: MediaQuery.of(context).size.width,
            decoration: BoxDecoration(
                border: Border.all(
                  color: Colors.grey,
                ),
                borderRadius: const BorderRadius.all(Radius.circular(20))),
            child: Padding(
              padding: const EdgeInsets.symmetric(horizontal: 10),
              child: Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  Text(hintText, style: const TextStyle(color: Colors.grey)),
                  const Icon(Icons.camera_alt_outlined, color: Colors.grey),
                ],
              ),
            ),
          ),
          // TextField(
          //   decoration: InputDecoration(
          //       enabledBorder: OutlineInputBorder(
          //         borderSide: BorderSide(color: Colors.indigo.shade100),
          //         borderRadius: BorderRadius.circular(30),
          //       ),
          //       focusedBorder: OutlineInputBorder(
          //         borderSide: BorderSide(color: Colors.indigo.shade100),
          //         borderRadius: BorderRadius.circular(30),
          //       ),
          //       hintText: hintText,
          //       suffixIcon: const Icon(Icons.camera_alt_outlined),
          //       contentPadding: const EdgeInsets.only(left: 20)),
          // ),
        ),
      );
}
