part of kitcod_uikit_flutter;

class TextIconButtonDetailed extends StatelessWidget {
  const TextIconButtonDetailed({
    required this.icon,
    required this.text,
    required this.selectedColor,
    required this.disabledColor,
    required this.description,
    this.width,
    this.textStyle,
    this.margin,
    this.onPressed,
    this.isSelected = false,
    final Key? key,
  }) : super(key: key);
  final IconData icon;
  final String text;
  final TextStyle? textStyle;
  final Color selectedColor;
  final Color disabledColor;
  final bool isSelected;
  final EdgeInsets? margin;
  final VoidCallback? onPressed;
  final double? width;
  final String description;

  Color _getColor() => isSelected ? selectedColor : disabledColor;

  @override
  GestureDetector build(final context) => GestureDetector(
        onTap: onPressed,
        child: AnimatedContainer(
          width: width ?? MediaQuery.of(context).size.width * 0.3,
          margin: margin,
          duration: const Duration(milliseconds: 200),
          decoration: BoxDecoration(
            border: Border.all(color: _getColor()),
            borderRadius: BorderRadius.circular(12),
          ),
          child: Padding(
            padding: const EdgeInsets.all(12),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Icon(icon, color: Colors.green),
                const SizedBox(height: 5, width: 70),
                Text(
                  text,
                  style: const TextStyle(color: Colors.black),
                ),
                const SizedBox(height: 5),
                Text(
                  description,
                  style: const TextStyle(color: Colors.grey, fontSize: 10),
                )
              ],
            ),
          ),
        ),
      );
}
