part of kitcod_uikit_flutter;

class Groups extends StatelessWidget {
  const Groups({
    required this.headerView,
    required this.groupsList,
    final Key? key,
  }) : super(key: key);
  // -------------------------------- VARIABLES -------------------------------- //

  final HeaderView headerView;
  final List<FeedGroup> groupsList;

  // -------------------------------- UI FUNCTIONS -------------------------------- //

  Container _headerWidget(final BuildContext context) => Container(
        padding: const EdgeInsets.all(10),
        child: Column(
          children: [
            for (FeedGroup groupItem in groupsList)
              Padding(
                padding: const EdgeInsets.all(5),
                child: GroupCards(
                  groupImageUrl: groupItem.groupImageUrl,
                  groupTitle: groupItem.groupTitle,
                  members: groupItem.members,
                  membersListUrl: groupItem.membersImageUrls,
                  groupAbout: groupItem.groupAbout!,
                  groupPosts: groupItem.groupPosts!,
                  groupStatus: groupItem.groupStatus!,
                  isJoined: groupItem.isJoined!,
                ),
              )
          ],
        ),
      );

  // -------------------------------- BUILD FUNCTION -------------------------------- //
  @override
  Widget build(final context) => Scaffold(
        appBar: headerView,
        body: SingleChildScrollView(
          child: Column(children: [
            _headerWidget(context),
          ]),
        ),
      );
}
