part of kitcod_uikit_flutter;

class MyGroups extends StatelessWidget {
  const MyGroups({
    required this.headerView,
    required this.groupsList,
    final Key? key,
  }) : super(key: key);
  // -------------------------------- VARIABLES -------------------------------- //

  final HeaderView headerView;
  final List<FeedGroup> groupsList;

  // -------------------------------- UI FUNCTIONS -------------------------------- //

  Container _headerWidget(final BuildContext context) => Container(
        padding: const EdgeInsets.all(20),
        child: Column(
          children: [
            for (FeedGroup groupItem in groupsList)
              GroupDetails(
                groupImageUrl: groupItem.groupImageUrl,
                groupTitle: groupItem.groupTitle,
                members: groupItem.members,
              )
          ],
        ),
      );

  // -------------------------------- BUILD FUNCTION -------------------------------- //
  @override
  Widget build(final context) => Scaffold(
        appBar: headerView,
        body: SingleChildScrollView(
          child: Column(children: [
            _headerWidget(context),
          ]),
        ),
      );
}
