part of kitcod_uikit_flutter;

class NewsFeed extends StatelessWidget {
  const NewsFeed({
    required this.headerView,
    required this.feedGroupsArray,
    required this.feedPostsArray,
    required this.name,
    required this.userName,
    required this.profileImageUrl,
    required this.groupTags,
    required this.groupList,
    final Key? key,
  }) : super(key: key);

  // -------------------------------- VARIABLES -------------------------------- //

  final HeaderView headerView;
  final List<FeedGroup> feedGroupsArray;
  final List<FeedPost> feedPostsArray;
  final String name;
  final String userName;
  final String profileImageUrl;
  final List<String> groupTags;
  final List<FeedGroup> groupList;

  // -------------------------------- UI FUNCTIONS -------------------------------- //

  SizedBox _feedWidget(final BuildContext context) => SizedBox(
        width: MediaQuery.of(context).size.width,
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            TextBarButton(
                name: name,
                hintText: "Create a Post...",
                userName: userName,
                profileImageUrl: profileImageUrl,
                groupTags: groupTags,
                groupList: groupList),
            GroupsList(
              feedGroupsArray: feedGroupsArray,
            ),
            FeedPostsList(
              feedPostsArray: feedPostsArray,
            ),
          ],
        ),
      );

  // -------------------------------- BUILD FUNCTION -------------------------------- //

  @override
  Widget build(final context) => Scaffold(
        appBar: headerView,
        body: SingleChildScrollView(
          child: Column(children: [
            _feedWidget(context),
          ]),
        ),
        floatingActionButton: FloatingActionButton(
            onPressed: () => {}, child: const Icon(Icons.add_outlined)),
        floatingActionButtonLocation: FloatingActionButtonLocation.endFloat,
      );
}
