part of kitcod_uikit_flutter;

class UserProfileView extends StatelessWidget {
  const UserProfileView({
    required this.headerView,
    required this.name,
    required this.city,
    required this.email,
    required this.about,
    required this.button,
    final Key? key,
  }) : super(key: key);
  // -------------------------------- VARIABLES -------------------------------- //

  final HeaderView headerView;
  final Text name;
  final Text city;
  final Text email;
  final Text about;
  final Button button;

  // -------------------------------- UI FUNCTIONS -------------------------------- //

  Container _headerWidget(final BuildContext context) => Container(
        height: MediaQuery.of(context).size.height * 0.45,
        width: MediaQuery.of(context).size.width,
        color: Colors.indigoAccent.withOpacity(0.1),
        padding: const EdgeInsets.symmetric(vertical: 24),
        child: Column(
          children: [
            Expanded(
              child: Center(
                child: CircularWidget(
                  child: Container(
                    height: 160,
                    width: 160,
                    color: Colors.red,
                  ),
                ),
              ),
            ),
            Column(
              mainAxisSize: MainAxisSize.min,
              children: [
                Padding(
                  padding: const EdgeInsets.all(8),
                  child: name,
                ),
                Padding(
                  padding: const EdgeInsets.all(8),
                  child: button,
                ),
              ],
            ),
          ],
        ),
      );

  Padding _infoWidget(final String title, final Text value) => Padding(
        padding: const EdgeInsets.symmetric(horizontal: 20, vertical: 12),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisSize: MainAxisSize.min,
          children: [
            Text(
              title,
              style: TextStyle(color: Colors.grey.shade600),
            ),
            const SizedBox(height: 4),
            Text(
              value.data ?? "",
              style: value.style,
            ),
          ],
        ),
      );

  SizedBox _bottomWidget(final BuildContext context) => SizedBox(
        width: MediaQuery.of(context).size.width,
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            const SizedBox(height: 8),
            _infoWidget("City", city),
            _infoWidget("Email", email),
            _infoWidget("About", about),
          ],
        ),
      );

  // -------------------------------- BUILD FUNCTION -------------------------------- //
  @override
  Widget build(final context) => Scaffold(
        appBar: headerView,
        body: Column(children: [
          _headerWidget(context),
          _bottomWidget(context),
        ]),
      );
}
